MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029841Open CASCADE[OCCT] OCCT:Testspublic2018-06-06 10:002018-06-14 18:20
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029841: Test cases from tools/dfbrowser periodically hang on Windows platform
DescriptionEspecially often A8 test case hangs
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029133verifiedbugmaster Unstable test cases 

-  Notes
(0076664)
git (administrator)
2018-06-07 15:59

Branch CR29841 has been created by nds.

SHA-1: 68dcd625e805382e3555d5e77426087896182924


Detailed log of new commits:

Author: nds
Date: Thu Jun 7 15:59:03 2018 +0300

    0029841: Test cases from tools/dfbrowser periodically hang on Windows platform
    
    Do not start new thread if the thread has been already started. Restart the thread after the previous has finished.
(0076668)
nds (developer)
2018-06-08 10:26

Could you please review modifications.
Thank you in advance.
(0076669)
nds (developer)
2018-06-08 10:27

http://jenkins-test-11.nnov.opencascade.com/view/CR29841-master-NDS/ [^]
(0076673)
bugmaster (administrator)
2018-06-08 12:51

Combination -
OCCT branch : CR29841 SHA - 68dcd625e805382e3555d5e77426087896182924
Products branch : master SHA - 82570c1f4b0e27eb09789f573087eef089260f59
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 16995.00999999991 / 17011.039999999866 [-0.09%]
Products
Total CPU difference: 7440.8100000000495 / 7441.7800000000125 [-0.01%]
Windows-64-VC10:
OCCT
Total CPU difference: 16869.24613549859 / 16821.806231398525 [+0.28%]
Products
Total CPU difference: 8222.765909699889 / 8237.071201399893 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 0c44027c
Timestamp: 2018-06-07 12:59:03
Author: nds
Committer: bugmaster
Details ] Diff ]
0029841: Test cases from tools/dfbrowser periodically hang on Windows platform

Do not start new thread if the thread has been already started. Restart the thread after the previous has finished.
add - tests/tools/dfbrowser/A9 Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Thread.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Thread.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-06 10:00 bugmaster New Issue
2018-06-06 10:00 bugmaster Assigned To => nds
2018-06-06 10:00 bugmaster Status new => assigned
2018-06-06 10:32 bugmaster Relationship added related to 0029133
2018-06-07 15:59 git Note Added: 0076664
2018-06-08 10:26 nds Note Added: 0076668
2018-06-08 10:26 nds Assigned To nds => vro
2018-06-08 10:26 nds Status assigned => resolved
2018-06-08 10:27 nds Note Added: 0076669
2018-06-08 10:43 vro Assigned To vro => bugmaster
2018-06-08 10:43 vro Status resolved => reviewed
2018-06-08 12:51 bugmaster Note Added: 0076673
2018-06-08 12:51 bugmaster Status reviewed => tested
2018-06-08 12:52 bugmaster Test case number => Not needed
2018-06-14 18:20 bugmaster Changeset attached => occt master 0c44027c
2018-06-14 18:20 bugmaster Status tested => verified
2018-06-14 18:20 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker